Bug 1006321 - Wrong validation results for Ad-Hoc Subprocess
Wrong validation results for Ad-Hoc Subprocess
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 08:38 EDT by Sona Mala
Modified: 2014-08-06 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot - process with ad-hoc subprocess (64.42 KB, image/png)
2013-09-10 08:38 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2013-09-10 08:38:54 EDT
Created attachment 795986 [details]
Screenshot - process with ad-hoc subprocess

Description of problem:
Validation for Ad-Hoc Subprocess failed if subprocess contains separated tasks which are not connected by sequence flow.

Look at the attached screenshot.


Version-Release number of selected component (if applicable):
6.0.0 BPMS ER2


Steps to Reproduce:
1. Create a new process
2. Start -> AdHoc -> End
3. Add tasks into AdHoc subprocess
4. validate

Actual results:
See the attached screenshot.
Validation shows issues - "Node has no outgoing/incomming connections".

Expected results:
This process should be valid. No issue for inner tasks.

Additional info:
Look at BPMN Specification - Figure 10.36, page 181
Comment 1 Tihomir Surdilovic 2013-09-30 12:16:53 EDT
fixed for ad-hoc processes too. fix in master and 6.0.x designer branches.
Comment 2 Marek Baluch 2013-11-27 05:12:10 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.